package net.sourceforge.floatapi;

import java.awt.datatransfer.DataFlavor;
import java.math.BigInteger;

/*
 * Version 1.0
 *
 * This Class is Open Source Code under LGPL License.
 *
 *  copyright by floatAPI project group
 * contact us over http://floatAPI.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Date: 12.10.2003  Time: 14:07:40
 */

/**
 * <code>FloatingFlavor</code> is a class defined to create a Java Virtual Machine Runtime and FloatingHandler dependant
 * <code>DataFlavor</code>.
 *
 * @see FloatingHandler
 */
final class FloatingFlavor extends BigInteger{
    String handle;
    String unique;

    public FloatingFlavor(String handle, String unique) {
        super("f",16);
        this.handle = handle;
        this.unique=unique;
    }

    public String getHandle() {
        return handle;
    }

    public String getUnique() {
        return unique;
    }

    public static final DataFlavor createFlavor() {
        return new DataFlavor(FloatingFlavor.class, "floating/application");
    }
}
